<?php
/**
 * The Template for displaying all single posts.
 *
 * @package WordPress
 * @subpackage Twenty_Eleven
 * @since Twenty Eleven 1.0
 */

get_header();
$current_fp = get_query_var('fpage');
 ?>

		<div id="primary">
			<div id="content" role="main">

<ul id="menu-book-nav">
<li class="menu-item"><a href="<?php echo get_permalink(); ?>">Overview</a></li>
<li class="menu-item"><a href="<?php echo get_permalink() ?>reviews/">Book Reviews</a></li>
<li class="menu-item"><a href="<?php echo get_permalink() ?>author/">Author Bio</a></li>
<li class="menu-item"><a href="<?php echo get_permalink() ?>purchase/">Where to Purchase</a></li>
</ul>

				<?php while ( have_posts() ) : the_post(); ?>

		<?php if (!$current_fp) {
				get_template_part( 'single', 'books-index' );
			} else if ($current_fp == 'reviews') {
				get_template_part( 'single', 'books-reviews' );
			} else if ($current_fp == 'author') {
				get_template_part( 'single', 'books-author' );
			} else if ($current_fp == 'purchase') {
				get_template_part( 'single', 'books-purchase' );
			}; ?>
 

				<?php endwhile; // end of the loop. ?>

			</div><!-- #content -->
		</div><!-- #primary -->

<?php get_footer(); ?>